# oci_internal_debug

(PHP 5, PHP 7, PECL OCI8 >= 1.1.0)

oci_internal_debug — Enables or disables internal debug output

### Description

oci_internal_debug ( bool `$onoff` ) : void

Enables or disables internal debug output.

### Parameters

`onoff`

  Set this to `FALSE` to turn debug output off or `TRUE` to turn it on.

### Return Values

No value is returned.

### Notes

> Note:

> In PHP versions before 5.0.0 you must use ociinternaldebug() instead. This name still can be used, it was left as alias of oci_internal_debug() for downwards compatability. This, however, is deprecated and not recommended.